Start adding a card.
POST
/billing/payment-methods/setup-intent
const url = 'https://api.siteqwality.com/billing/payment-methods/setup-intent';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"idempotency_key":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.siteqwality.com/billing/payment-methods/setup-intent \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "idempotency_key": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
idempotency_key
required
string format: uuid
Example generated
{ "idempotency_key": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Responses
Section titled “ Responses ”SetupIntent client secret
Media type application/json
object
client_secret
required
string
Example generated
{ "client_secret": "example"}Missing or invalid authentication
Caller is not a super admin
Account has no Stripe customer
Internal server error